> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all projects

> Returns an array of all projects with filtering and sorting capabilities.



## OpenAPI

````yaml GET /projects
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects:
    get:
      summary: List all projects
      description: >-
        Returns an array of all projects with filtering and sorting
        capabilities.
      operationId: list-all-projects
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 1
        - name: page_size
          in: query
          schema:
            type: integer
            format: int32
            default: 10
        - name: sort
          in: query
          description: >-
            Comma-separated list of fields to sort by. Prefix with - for
            descending. Available fields: id, name, description
          schema:
            type: string
            example: name,-id
        - name: filter[id][eq]
          in: query
          description: Filter by exact project ID
          schema:
            type: integer
        - name: filter[name][contains]
          in: query
          description: Filter by name (case-insensitive partial match)
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - id: 123
                        name: Southeast Capture Project
                        description: >-
                          SCP is a biochar carbon removal project based in the
                          Southeast. It applies innovative interventions at
                          bioenergy plants to sequester carbon durably in the
                          form of carbon-dense biochar.
                        project_type: Biochar
                        credit_types:
                          - CORC
                        country: US
                        state: Washington
                        project_status: ACTIVE
                        registry_name: Puro.Earth
                        registry_link: ''
                        methodology: Puro Biochar Methodology v3 2023
                        images:
                          - name: Image.png
                            url: http://....
                        sustainable_development_goals:
                          - good_health_and_wellbeing
                          - quality_education
                        custom_field_values:
                          external_id: f47ac10b-58cc-4372-a567-0e02b2c3d479
                          equipment_inventory: https://docs.google.com/spreadsheets/d/1tCn1
                          next_planned_reporting_date: '2026-01-21T00:00:00.000Z'
                    info:
                      items: 1
                      page_size: 10
                      total_items: 1
                      current_page: 1
                      next_page: null
                      previous_page: null
                      total_pages: 1
                      sort: []
                      filter: []
                Filtered Result:
                  value:
                    data:
                      - id: 123
                        name: Southeast Capture Project
                        description: >-
                          SCP is a biochar carbon removal project based in the
                          Southeast.
                        project_type: Biochar
                        project_status: ACTIVE
                    info:
                      items: 1
                      page_size: 10
                      total_items: 1
                      current_page: 1
                      next_page: null
                      previous_page: null
                      total_pages: 1
                      sort:
                        - field: name
                          direction: asc
                      filter:
                        - field: name
                          comparator: contains
                          value: Southeast
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````